import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import router from './router'
import store from './store'
import vueModuleLoader from 'vue-module-loader'
import localModule from './module'
import './assets/css/reset.scss'
import 'default-passive-events' // ( https://www.jianshu.com/p/23850d4cade8 )
// import echarts from "echarts";
import moment from 'moment'
moment.locale('zh-cn');  // 汉化
Vue.prototype.$moment = moment; 
// Vue.prototype.$echarts = echarts

Vue.use(vueModuleLoader, { store }).use(ElementUI);

const app = new Vue({
	router,
	store,
	render: h => h(App)
})

app.$moduleLoader(localModule)
app.$mount('#app')
